#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	version
Summary:	version - Perl extension for Version Objects
Summary(pl.UTF-8):	version - rozszerzenie Perla dla obiektów wersji
Name:		perl-version
Version:	0.99
Release:	1
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/version/%{pdir}-%{version}.tar.gz
# Source0-md5:	695098dac5c3be79e893e522341671dd
URL:		http://search.cpan.org/dist/version/
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-File-Temp >= 0.13
BuildRequires:	perl-Test-Simple >= 0.45
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Overloaded version objects for all versions of Perl. This module
implements all of the features of version objects which will be part
of Perl 5.10.0 except automatic version object creation.

%description -l pl.UTF-8
Przeciążone obiekty wersji dla wszystkich wersji Perla. Ten moduł
implementuje wszystkie możliwości obiektów wersji, które będą częścią
Perla 5.10.0, z wyjątkiem automatycznego tworzenia obiektu wersji.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/version/Internals.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/version.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/version.pm
%dir %{perl_vendorarch}/version
%{perl_vendorarch}/version/vxs.pm
%dir %{perl_vendorarch}/auto/version
%dir %{perl_vendorarch}/auto/version/vxs
%attr(755,root,root) %{perl_vendorarch}/auto/version/vxs/vxs.so
%{perl_vendorarch}/auto/version/vxs/vxs.bs
%{_mandir}/man3/version*.3pm*
%changelog
* Sat May 26 2012 Jakub Bogusz <qboosh@pld-linux.org> b82a143
- updated to 0.99

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> c190b4d
- up to 0.95

* Wed Feb 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 1626ff5
- use package name for Test::More
- removed no longer used perl-Module-Build BR

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> e8579e2
- up to 0.88
- build using Makefile.pl instead of Build.pl
- more verbose man files

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 11086c0
- epoch 1 because version 0.7702 > 0.85

* Sun Nov 14 2010 Szymon Siwek <sls@pld-linux.org> 663fa1d
- ver. 0.85

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> b26d8cf
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b584c11
- release 2

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> dae4ab6
- updated to 0.7702

* Mon Nov 10 2008 Elan Ruusamäe <glen@pld-linux.org> aaebae1
- up to 0.76

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 7cbf400
- generic URL

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> a974411
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f196b5
- rel 2

* Tue Nov 13 2007 hawk <hawk@pld-linux.org> 78b441f
- updated to 0.74
- BR perl-ExtUtils-CBuilder

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5ded2d0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d828f0d
- converted to UTF-8

* Fri Jan 05 2007 wrobell <wrobell@pld-linux.org> 6092482
- fixed md5, rel. 2

* Fri Jan 05 2007 wrobell <wrobell@pld-linux.org> e61b7da
- ver. 0.68

* Fri Jan 05 2007 wrobell <wrobell@pld-linux.org> dcc03ec
- now, really release 2 :/

* Fri Jan 05 2007 wrobell <wrobell@pld-linux.org> 421ffbc
- added missing dir
- rel. 2

